> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrapio.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Twitch channel's videos

> Fetch a channel's recent VODs.



## OpenAPI

````yaml get /v1/twitch/user/videos
openapi: 3.1.0
info:
  title: Scrapio
  version: 1.0.0
  description: >-
    Turn any URL into structured data. Fetch raw HTML, crawl sites, extract
    structured content, interact with dynamic pages, and search the web through
    one API.
  contact:
    name: Scrapio Support
    url: https://scrapio.dev
  license:
    name: Proprietary
servers:
  - url: https://api.scrapio.dev
    description: Production
security:
  - bearerAuth: []
tags:
  - name: System
  - name: Fetch
  - name: Crawl
  - name: Map
  - name: Interact
  - name: Search
  - name: Google
  - name: Fast Search
  - name: Jobs
  - name: YouTube
  - name: Amazon
  - name: Walmart
  - name: Booking
  - name: Agoda
  - name: Airbnb
  - name: AutoTrader
  - name: Glassdoor
  - name: Trustpilot
  - name: ZipRecruiter
  - name: Dice
  - name: SimplyHired
  - name: Built In
  - name: Wellfound
  - name: ChatGPT
  - name: Perplexity
  - name: Gemini
  - name: Bing
  - name: Reddit
  - name: Instagram
  - name: Twitter
  - name: Facebook
  - name: Hacker News
  - name: GitHub
  - name: TikTok
  - name: Apple App Store
  - name: Target
  - name: Monitors
paths:
  /v1/twitch/user/videos:
    get:
      tags:
        - Twitch
      summary: Get a Twitch channel's videos
      description: >-
        Fetch a Twitch channel's recent VODs. Backed by ScrapeCreators. Requires
        a Starter plan or higher.
      operationId: getTwitchUserVideos
      parameters:
        - name: handle
          in: query
          required: true
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: Structured Twitch VOD list.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TwitchUserVideosResponse'
        '400':
          description: Missing or invalid handle.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Missing or invalid API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '402':
          description: Twitch endpoints require a Starter plan or higher.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: The requested channel could not be found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: >-
            Daily credit cap exceeded, or the upstream provider rate-limited the
            request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '502':
          description: Twitch upstream failed or returned an unusable response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Twitch execution backend unavailable or unconfigured.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      x-codeSamples:
        - lang: cURL
          label: cURL
          source: |-
            curl "https://api.scrapio.dev/v1/twitch/user/videos?handle=ninja" \
              -H "Authorization: Bearer $SCRAPIO_API_KEY"
components:
  schemas:
    TwitchUserVideosResponse:
      type: object
      properties:
        provider:
          type: string
          enum:
            - twitch
        request_id:
          type: string
        profile:
          type: object
          properties:
            id:
              anyOf:
                - type: string
                - type: 'null'
            handle:
              anyOf:
                - type: string
                - type: 'null'
            display_name:
              anyOf:
                - type: string
                - type: 'null'
            is_live:
              anyOf:
                - type: boolean
                - type: 'null'
            current_viewers_count:
              anyOf:
                - type: number
                - type: 'null'
            profile_image_url:
              anyOf:
                - type: string
                - type: 'null'
            banner_image_url:
              anyOf:
                - type: string
                - type: 'null'
            description:
              anyOf:
                - type: string
                - type: 'null'
            followers:
              anyOf:
                - type: number
                - type: 'null'
            is_partner:
              anyOf:
                - type: boolean
                - type: 'null'
          required:
            - id
            - handle
            - display_name
            - is_live
            - current_viewers_count
            - profile_image_url
            - banner_image_url
            - description
            - followers
            - is_partner
          additionalProperties: false
        videos:
          type: array
          items:
            type: object
            properties:
              id:
                anyOf:
                  - type: string
                  - type: 'null'
              title:
                anyOf:
                  - type: string
                  - type: 'null'
              created_at:
                anyOf:
                  - type: string
                  - type: 'null'
              length_seconds:
                anyOf:
                  - type: number
                  - type: 'null'
              view_count:
                anyOf:
                  - type: number
                  - type: 'null'
              thumbnail_url:
                anyOf:
                  - type: string
                  - type: 'null'
              game_name:
                anyOf:
                  - type: string
                  - type: 'null'
            required:
              - id
              - title
              - created_at
              - length_seconds
              - view_count
              - thumbnail_url
              - game_name
            additionalProperties: false
      required:
        - provider
        - request_id
        - profile
        - videos
      additionalProperties: false
    ErrorResponse:
      type: object
      properties:
        request_id:
          type: string
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
          required:
            - code
            - message
        diagnostics:
          type: object
          properties:
            outcome:
              type: string
              enum:
                - failed
            retryable:
              type: boolean
            blocked:
              type: boolean
            timed_out:
              type: boolean
          required:
            - outcome
            - retryable
          additionalProperties: false
      required:
        - request_id
        - error
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````